Subject: Re: bug#78720: 31.0.50; Faces menu is unexpectedly not available as documented

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Jun 2025 18:46:36 +0300

> From: Markus Triska <[email-masked]>
> Date: Sun, 08 Jun 2025 15:32:27 +0200
> 
> 
> To reproduce this issue, please start Emacs with:
> 
>     $ emacs -Q --eval '(setq font-lock-defaults nil)'
> 
> >From the documentation of font-lock-defaults, my expectation is that I
> can then use the "Faces" menu (under "Edit" and then "Text Properties"
> in the menu bar) to assign faces explicitly to text in the buffer:
> 
>    -- Variable: font-lock-defaults
>        ... If its value is ‘nil’, ...  you can use the ‘Faces’ menu
>        (under ‘Edit’ and then ‘Text Properties’ in the menu bar) to
>        assign faces explicitly to text in the buffer.
> 
> However, under "Edit", a "Faces" menu is unexpectedly not available.

The "Face" menu was removed in Emacs 28, so I've deleted that sentence
from the manual.

See NEWS.28 (search for "facemenu") about the change, which includes
how to get the old behavior back, if you want it.

I'm closing this bug with this message.